petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFieldSplitSchurPreType

Determines how to precondition Schur complement

### Synopsis

    typedef enum {PC_FIELDSPLIT_SCHUR_PRE_SELF,PC_FIELDSPLIT_SCHUR_PRE_SELFP,PC_FIELDSPLIT_SCHUR_PRE_A11,PC_FIELDSPLIT_SCHUR_PRE_USER,PC_FIELDSPLIT_SCHUR_PRE_FULL} PCFieldSplitSchurPreType;

### See Also

PCFieldSplitSetSchurPre()

### Level

intermediate

### Location

src/ksp/pc/../../../include/petscpctypes.h

### Examples

src/snes/examples/tutorials/ex70.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages